<?php
/** 
 * mod_wuWeather default layout 
 * wuWather module - helper
 * @copyright (C) 2012-2014 by feenders.de. All Rights Reserved.
 * @license	GNU/GPL, see http://www.gnu.org/licenses/gpl-2.0.html
 **/

// no direct access
defined('_JEXEC') or die;
/**
 * current weather conditions
 * See: http://www.wunderground.com/weather/api/d/docs?d=data/conditions
 */ 
$co = &$weather->current_observation;

if ($params->get('use_css','1')==1) {	
	$document = JFactory::getDocument();
	$document->addStyleSheet(JURI::base(true)."/modules/mod_wuweather/weather.css");
}

?>
<div class="mod_weather<?php echo $moduleclass_sfx ?>">
	<div class="weather_current">
<?php  if ($params->get('show_icon','1')==1) : ?>
		<img class="weather <?php echo $params->get('icon_align')?>" align="<?php echo $params->get('icon_align')?>" src="http://icons.wxug.com/i/c/<?php echo $params->get('icon_set','i')?>/<?php echo $co->icon?>.gif"  alt="*" />
<?php endif; ?>
		<h4><?php echo $co->weather?></h4>
		<p>
<?php
 switch ($params->get('temp_unit','f')) {
	case 'c':
		echo (int)$co->temp_c."&nbsp;&deg;C";
	break;
	case 'f':
		echo (int)$co->temp_f."&nbsp;&deg;F";
	break;
	case 'both':
		echo (int)$co->temp_f."&nbsp;&deg;F"." &bull; ".(int)$co->temp_c."&nbsp;&deg;C";
 } 
 $wu = $params->get('wind_unit','mph');
 ?>
		<br/>
	   	<?php echo $co->wind_dir?>&nbsp;<?php echo $co->{"wind_".$wu}?>&nbsp;<?php echo JText::_($wu)?> 
		</p>
	  	<div style="clear:both;"></div>
	</div>
<?php 
  if (!empty($forecast)) : 
  	/**
   	* forecast conditions
   	* See: http://www.wunderground.com/weather/api/d/docs?d=data/forecast
   	*/
  	$fc = &$forecast->forecast->simpleforecast;
  	if (is_array($fc->forecastday)) :
?>
	<div class="weather_forecast">
<?php foreach ($fc->forecastday AS &$day) : ?>
  		<p><strong><?php echo $day->date->weekday?></strong><br/>
  		<?php echo $day->conditions?>
<?php   		
 switch ($params->get('temp_unit','f')) {
	case 'c':
		echo " (".(int)$day->low->celsius."&nbsp;<span class='wi wi-resize-horiz'></span>&nbsp;".(int)$day->high->celsius."&nbsp;&deg;C)";
	break;
	case 'f':
		echo " (".(int)$day->low->fahrenheit."&nbsp;<span class='wi wi-resize-horiz'></span>&nbsp;".(int)$day->high->fahrenheit."&nbsp;&deg;F)";
	break;
	case 'both':
		echo " (".(int)$day->low->celsius."&nbsp;<span class='wi wi-resize-horiz'></span>&nbsp;".(int)$day->high->celsius."&nbsp;&deg;C";
		echo " &bull; ".(int)$day->low->fahrenheit."&nbsp;<span class='wi wi-resize-horiz'></span>&nbsp;".(int)$day->high->fahrenheit."&nbsp;&deg;F)";
 }   		
?>  		
  		</p>
<?php endforeach; ?> 
	<div style="clear:both;"></div>
	</div>	
<?php endif; endif; ?>	
<?php if ($params->get('show_credits','1')==1) : ?>
	<div style="clear:both;"></div>
	<div class="weather_credits">
		<a href="http://www.wunderground.com" title="Weather data from wunderground.com">
			<img class="credits" alt="wunderground.com" src="<?php echo JURI::base(true)?>/modules/mod_wuweather/wunderground.png"  style="width: 132px; height: 18px; margin: 10px 0; float: right;"/>
		</a>
	</div>	
	<div style="clear:both;"></div>
<?php endif; ?>
</div>
<?php 


?>
